Skip to main content
GET
List Voices

Authorizations

PersoPlatform-APIKey
string
header
required
xi-api-key
string
header
required

Use this header if you want to call the API with an ElevenLabs-compatible SDK. Pass your Perso API key as the xi-api-key header value.

Query Parameters

include_total_count
boolean
default:true

Include total count in response.

next_page_token
string

Token for pagination.

page_size
integer
default:30

Number of voices per page (max 100).

Search voices by name.

sort
enum<string>
default:created_at

Sort field (created_at or name).

Available options:
created_at,
name
sort_direction
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc
voice_ids
string

Comma-separated list of voice IDs to filter.

Response

voices
object[]
required
has_more
boolean
required
next_page_token
string | null
required
total_count
integer